<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigurationDB: fwConfigurationDB_Deprecated.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwConfigurationDB__Deprecated_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB_Deprecated.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a92033885a1d8788d0cb5028e91040105"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a92033885a1d8788d0cb5028e91040105">fwConfigurationDB_GetRecipeCacheMetaInfo</a> (string recipeCache, string &amp;recipeComment, int &amp;numDevices, int &amp;numValues, int &amp;numAlerts, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a92033885a1d8788d0cb5028e91040105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50c0b1f1f8e944e0922c1bc658f5dadb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a50c0b1f1f8e944e0922c1bc658f5dadb">fwConfigurationDB_deviceTypesToDpTypes</a> (dyn_string devTypes, dyn_string &amp;dpTypes, dyn_string &amp;exceptionInfo, bool errorOnNonExistingType=true)</td></tr>
<tr class="separator:a50c0b1f1f8e944e0922c1bc658f5dadb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb09984156d16a1d32c23797a6475d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#acdb09984156d16a1d32c23797a6475d9">_fwConfigurationDB_getRecipeAuthor</a> (dyn_dyn_mixed &amp;recipeObject, string &amp;recipeAuthor, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:acdb09984156d16a1d32c23797a6475d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8733a4b166d3632959d381bc1221d6a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a8733a4b166d3632959d381bc1221d6a1">_fwConfigurationDB_getRecipeClass</a> (dyn_dyn_mixed &amp;recipeObject, string &amp;recipeClass, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8733a4b166d3632959d381bc1221d6a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40eaeeac9ae382410626c7d1f992eb21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a40eaeeac9ae382410626c7d1f992eb21">_fwConfigurationDB_getRecipeCreationTime</a> (dyn_dyn_mixed &amp;recipeObject, time &amp;creationTime, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a40eaeeac9ae382410626c7d1f992eb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a167ef7fa51cd06b47374b84bed948051"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a167ef7fa51cd06b47374b84bed948051">_fwConfigurationDB_getRecipeLastActivationUser</a> (dyn_dyn_mixed &amp;recipeObject, string &amp;lastActivationUser, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a167ef7fa51cd06b47374b84bed948051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3149e7758469808d47a8121ef4e3d548"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a3149e7758469808d47a8121ef4e3d548">_fwConfigurationDB_getRecipeLastModificationComment</a> (dyn_dyn_mixed &amp;recipeObject, string &amp;lastModificationComment, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a3149e7758469808d47a8121ef4e3d548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c4b79c41f6d847dcb3fcaa3926a2bf8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a5c4b79c41f6d847dcb3fcaa3926a2bf8">_fwConfigurationDB_getRecipeLastModificationTime</a> (dyn_dyn_mixed &amp;recipeObject, time &amp;lastModificationTime, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5c4b79c41f6d847dcb3fcaa3926a2bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dc0994eb493a1f9a3f2fd8a495508ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a4dc0994eb493a1f9a3f2fd8a495508ea">_fwConfigurationDB_getRecipeLastModificationUser</a> (dyn_dyn_mixed &amp;recipeObject, string &amp;lastModificationUser, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a4dc0994eb493a1f9a3f2fd8a495508ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12112769b144e5c5b034834694ca4b36"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a12112769b144e5c5b034834694ca4b36">_fwConfigurationDB_getRecipePredefined</a> (dyn_dyn_mixed &amp;recipeObject, bool &amp;predefined, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a12112769b144e5c5b034834694ca4b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ed9c4909bed7e66087640682a40e5af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a8ed9c4909bed7e66087640682a40e5af">_fwConfigurationDB_getRecipeVersionString</a> (dyn_dyn_mixed &amp;recipeObject, string &amp;recipeVersion, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8ed9c4909bed7e66087640682a40e5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a811d898ee68e14b4aaa70746eed43708"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a811d898ee68e14b4aaa70746eed43708">_fwConfigurationDB_setRecipeClass</a> (dyn_dyn_mixed &amp;recipeObject, string recipeClass, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a811d898ee68e14b4aaa70746eed43708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd1852461378dddfbe565c1704282696"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#abd1852461378dddfbe565c1704282696">_fwConfigurationDB_setRecipeLastActivationTime</a> (dyn_dyn_mixed &amp;recipeObject, time lastActivationTime, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:abd1852461378dddfbe565c1704282696"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139f4c59150b1801e66cefe266cb76ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a139f4c59150b1801e66cefe266cb76ad">_fwConfigurationDB_setRecipeLastActivationUser</a> (dyn_dyn_mixed &amp;recipeObject, string lastActivationUser, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a139f4c59150b1801e66cefe266cb76ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a014fb57a4d28dcf5227a3093519c9942"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a014fb57a4d28dcf5227a3093519c9942">_fwConfigurationDB_setRecipePredefined</a> (dyn_dyn_mixed &amp;recipeObject, bool predefined, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a014fb57a4d28dcf5227a3093519c9942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a945e026ee11914c0af4e7e6ef7fb00a6"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a945e026ee11914c0af4e7e6ef7fb00a6">_fwConfigurationDB_itemIdListForSQLQuery</a> (dyn_int itemIdList)</td></tr>
<tr class="separator:a945e026ee11914c0af4e7e6ef7fb00a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9934dab68461b2e263afed6368a314cf"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a9934dab68461b2e263afed6368a314cf">_fwConfigurationDB_listToSQLString</a> (string columnName, dyn_string itemIdList)</td></tr>
<tr class="separator:a9934dab68461b2e263afed6368a314cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099242f7527454209e0eaaecd7107771"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a099242f7527454209e0eaaecd7107771">fwConfigurationDB_getDBHierarchies</a> (dyn_int &amp;ids, dyn_string &amp;types, dyn_string &amp;descriptions, dyn_string &amp;validFrom, dyn_string &amp;validTo, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a099242f7527454209e0eaaecd7107771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad379c69af645752bf9acba5b35ca9f3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#ad379c69af645752bf9acba5b35ca9f3f">fwConfigurattionDB_deleteDeviceConfiguration</a> (string confName, dyn_string &amp;exceptionInfo, bool deleteOldOnly=false)</td></tr>
<tr class="separator:ad379c69af645752bf9acba5b35ca9f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains deprecated functions, which are currently kept for compatibility</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a92033885a1d8788d0cb5028e91040105"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_GetRecipeCacheMetaInfo </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeCache</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>recipeComment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>numDevices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>numValues</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>numAlerts</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets meta-information concerning the recipe cache</p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000001">Deprecated:</a></b></dt><dd>2018-06-22 </dd></dl>

</div>
</div>
<a class="anchor" id="a50c0b1f1f8e944e0922c1bc658f5dadb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_deviceTypesToDpTypes </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>devTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>errorOnNonExistingType</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Finds dpTypes from JCOP Framework device types</p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000002">Deprecated:</a></b></dt><dd>2018-06-22 </dd></dl>

</div>
</div>
<a class="anchor" id="acdb09984156d16a1d32c23797a6475d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeAuthor </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>recipeAuthor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000003">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a8733a4b166d3632959d381bc1221d6a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeClass </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>recipeClass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000004">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a40eaeeac9ae382410626c7d1f992eb21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeCreationTime </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">time &amp;&#160;</td>
          <td class="paramname"><em>creationTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000005">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a167ef7fa51cd06b47374b84bed948051"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeLastActivationUser </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>lastActivationUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000006">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a3149e7758469808d47a8121ef4e3d548"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeLastModificationComment </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>lastModificationComment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000007">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a5c4b79c41f6d847dcb3fcaa3926a2bf8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeLastModificationTime </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">time &amp;&#160;</td>
          <td class="paramname"><em>lastModificationTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000008">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a4dc0994eb493a1f9a3f2fd8a495508ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeLastModificationUser </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>lastModificationUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000009">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a12112769b144e5c5b034834694ca4b36"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipePredefined </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>predefined</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000010">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a8ed9c4909bed7e66087640682a40e5af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getRecipeVersionString </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>recipeVersion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000011">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a811d898ee68e14b4aaa70746eed43708"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_setRecipeClass </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>recipeClass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000012">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="abd1852461378dddfbe565c1704282696"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_setRecipeLastActivationTime </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">time&#160;</td>
          <td class="paramname"><em>lastActivationTime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000013">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a139f4c59150b1801e66cefe266cb76ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_setRecipeLastActivationUser </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>lastActivationUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000014">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a014fb57a4d28dcf5227a3093519c9942"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_setRecipePredefined </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>predefined</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000015">Deprecated:</a></b></dt><dd>2018-06-25 </dd></dl>

</div>
</div>
<a class="anchor" id="a945e026ee11914c0af4e7e6ef7fb00a6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwConfigurationDB_itemIdListForSQLQuery </td>
          <td>(</td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>itemIdList</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000016">Deprecated:</a></b></dt><dd>2018-08-03 </dd></dl>

</div>
</div>
<a class="anchor" id="a9934dab68461b2e263afed6368a314cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwConfigurationDB_listToSQLString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>columnName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>itemIdList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000017">Deprecated:</a></b></dt><dd>2018-08-03 </dd></dl>

</div>
</div>
<a class="anchor" id="a099242f7527454209e0eaaecd7107771"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_getDBHierarchies </td>
          <td>(</td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>ids</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>types</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>descriptions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>validFrom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>validTo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000018">Deprecated:</a></b></dt><dd>2018-08-03 </dd></dl>

</div>
</div>
<a class="anchor" id="ad379c69af645752bf9acba5b35ca9f3f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurattionDB_deleteDeviceConfiguration </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>confName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>deleteOldOnly</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>version with improper spelling, for backward compatibility, FWCDB-1102</p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000019">Deprecated:</a></b></dt><dd>2018-08-03 </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__Deprecated_8ctl.html">fwConfigurationDB_Deprecated.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
